clear
cap log close
cap program drop _all
log using rin_passthru_9.txt, text replace
set scheme s1color
set more off
************************************************************************************
* rin_passthru_dl_summary_wp.do                  This version: 7/1/15
*
* RIN-fuel price analysis for Knittel-Meiselman-Stock paper
*
* Distributed lag regressions (summary - 15-lag daily version only)
*
************************************************************************************
*
* Data read and preliminary calculations
do rin_setup_wp
local runsfx "_vwp_$dset"
*
*------------------------------------------------------*
*         SAMPLE
global t0 "01Jan2013"
global t1 "31Dec2013"
global t2 "01Jan2014"
global tn "10Mar2015"
*
local tname "dl"
local tsfx _$t0-$tn
local sfx "_condensed"
*
*------------------------------------------------------*
*         REGRESSIONS: daily
*------------------------------------------------------*
* specify lags for NW SEs - depends on levels or differences
local nwd = 15
local xlags = 15
*
foreach m in r i 5 {
 gen e10`m' = e10b`m'
 replace e10bt`m' = d6c`m'
 gen d5brentgale`m' = brentgale`m' - L5.brentgale`m'
}
*
global outxls "$tablepath\`tname'`tsfx'`sfx'`runsfx'.xls" 
dis "$outxls"
cap erase "$outxls"
foreach y in $diesel_sprdvars $bob_sprdvars e85_e10 e10b  {
 foreach m in r i 5 {
  gen d5`y'`m' = `y'`m' - L5.`y'`m'
  gen d5`y't`m' = `y't`m' - L5.`y't`m'
 }
*
* (5) (D-5)
 local xlagsm1 = `xlags'-1
 cap drop cdm*
 forvalues i = 0/`xlagsm1' {
  gen cdm`i' = L`i'.D.D.`y'ti
 }
 gen cdm`xlags' = L`xlags'.D.`y'ti
 newey D.`y'r cdm* $savars if (date>=td($t0))*(date<=td($tn)), lag(`nwd') force
  testparm $savars 
   local fsa = r(F)
   local psa = r(p)
  outreg2 using "$outxls", ctitle("`y'") append excel dec(3) nonotes addtext("Sample","Full") ///
          drop($savars) adds("F (seasonals)",`fsa',"p-val (seas)",`psa') nocon
}
log close
end
