************************************************************************************
* rin_passthru_figs_wp_core.do
*
* called from rin_passthru_figs_wp
*  produces figures
*
************************************************************************************
local wkdy = 2
local lfp $figpath
local y $gy
local yf $gyf
*
foreach m in i 5 {
 reg `y'`m' $savars if ((date<=td(01Sep2008)) + (date>=td(01Oct2009))*(date<=td(31Dec2012)))
 cap drop `y'`m'_sa
 predict `y'`m'_sa, resid
 replace `y'`m'_sa = `y'`m'_sa + _b[_cons]
 label var `y'`m'_sa "`y'`m'_sa"
 gen d5`y'`m' = `y'`m' - L5.`y'`m'
 gen d5`y'`m'_sa = `y'`m'_sa - L5.`y'`m'_sa
 gen d5`y't`m' = `y't`m' - L5.`y't`m'
 gen d10`y'`m' = `y'`m' - L10.`y'`m'
 gen d10`y'`m'_sa = `y'`m'_sa - L10.`y'`m'_sa
 gen d10`y't`m' = `y't`m' - L10.`y't`m'
}
*
* -------- Time series plots ----------------
*
tsset date
tsline `y'i `y'ti if (date>=td($t0))*(date<=td($tn)), lc(black orange) ///
 title("`yf' and RIN obligation") subtitle("Spread in black, not seasonally adjusted") legend(off) ///
 ytitle("Dollars") 
 global a98 "`lfp'`y'_`y't_nsa_tsplot_$tsfx.emf" 
  graph export $a98, replace
*
tsset date
tsline `y'i `y'i_sa `y'ti if (date>=td($t0))*(date<=td($tn)), lc(black black orange) lp(l _ l) ///
 title("`yf' and RIN obligation") subtitle("Spread in black (NSA - solid, SA - dashed)") legend(off) ///
 ytitle("Dollars") 
 global a98 "`lfp'`y'_`y't_sansa_tsplot_$tsfx.emf" 
  graph export $a98, replace
*
* -------- Scatterplots, NSA ----------------
*
tsset time
* D6 t (weekly changes)
reg d5`y'5 d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5 p1 d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) ///
 xtitle("Weekly change in D6 RIN, current week") ytitle("Chg in Spread") ///
 title("`yf' v. D6 RIN price") subtitle("Weekly Changes of Weekly Averages (NSA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays.")
  global a98 "`lfp'`y'`m'_`y't_nsa_scatter_current_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* PRIN t (weekly changes)
reg d5`y'5 d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5 p1 d5`y't5 d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) lc(green orange black) ///
 xtitle("RIN-predicted chg in spread, current week") ytitle("Chg in Spread") ///
 title("`yf' v. RIN-predicted") subtitle("Weekly Changes of Weekly Averages (NSA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays; 45 degree line (black) and regression line (orange).")
  global a98 "`lfp'`y'`m'_`y't_nsa_scatter_current_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* D6 t (10-day)
reg d10`y'i d10d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d10`y'i p1 d10d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) ///
 xtitle("Change in D6 RIN (contemporaneous)") ytitle("Chg in Spread") ///
 title("`yf' v. D6 RIN price") subtitle("10-day changes (NSA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays.")
  global a98 "`lfp'`y'`m'_`y't_nsa_scatter_current_10day_$tsfx.emf" 
  graph export $a98, replace
*
* PRIN t (10-day)
reg d10`y'i d10`y'ti if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d10`y'i p1 d10`y'ti d10`y'ti if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) lc(green orange black) ///
 xtitle("RIN-predicted chg in spread (contemporaneous)") ytitle("Chg in Spread") ///
 title("`yf' v. RIN-predicted") subtitle("10-day changes(NSA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays; 45 degree line (black) and regression line (orange).")
  global a98 "`lfp'`y'`m'_`y't_nsa_scatter_current_10day_$tsfx.emf" 
  graph export $a98, replace
*
* D6 t-1
reg d5`y'5 L5.d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5 p1 L5.d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) ///
 xtitle("Chg in D6 RIN Price, Prior Week") ytitle("Chg in Spread") ///
 title("`yf' v. Prior Week D6 RIN Price") subtitle("Weekly Changes (NSA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays.")
  global a98 "`lfp'`y'`m'_LDD6_nsa_scatter_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* PRIN t-1
reg d5`y'5 L5.d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5 p1 L5.d5`y't5 L5.d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) lc(green orange black) ///
 xtitle("RIN-predicted chg in spread, Prior Week") ytitle("Chg in Spread") ///
 title("`yf' v. Prior Week RIN-predicted") subtitle("Weekly Changes (NSA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays; 45 degree line (black) and regression line (orange).")
  global a98 "`lfp'`y'`m'_`y't_nsa_scatter_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* -------- Scatterplots, SA ----------------
*
* D6 t (weekly changes)
reg d5`y'5_sa d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5_sa p1 d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) ///
 xtitle("Weekly change in D6 RIN, current week") ytitle("Chg in Spread") ///
 title("`yf' v. D6 RIN price") subtitle("Weekly Changes of Weekly Averages (SA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays.")
  global a98 "`lfp'`y'`m'_`y't_sa_scatter_current_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* PRIN t (weekly changes)
reg d5`y'5_sa d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5_sa p1 d5`y't5 d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) lc(green orange black) ///
 xtitle("RIN-predicted chg in spread, current week") ytitle("Chg in Spread") ///
 title("`yf' v. RIN-predicted") subtitle("Weekly Changes of Weekly Averages (SA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays; 45 degree line (black) and regression line (orange).")
  global a98 "`lfp'`y'`m'_`y't_sa_scatter_current_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* D6 t (10-day)
reg d10`y'i_sa d10d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d10`y'i_sa p1 d10d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) ///
 xtitle("Change in D6 RIN (contemporaneous)") ytitle("Chg in Spread") ///
 title("`yf' v. D6 RIN price") subtitle("10-day changes (SA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays.")
  global a98 "`lfp'`y'`m'_`y't_sa_scatter_current_10day_$tsfx.emf" 
  graph export $a98, replace
*
* PRIN t (10-day)
reg d10`y'i_sa d10`y'ti if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d10`y'i_sa p1 d10`y'ti d10`y'ti if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) lc(green orange black) ///
 xtitle("RIN-predicted chg in spread (contemporaneous)") ytitle("Chg in Spread") ///
 title("`yf' v. RIN-predicted") subtitle("10-day changes(SA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays; 45 degree line (black) and regression line (orange).")
  global a98 "`lfp'`y'`m'_`y't_sa_scatter_current_10day_$tsfx.emf" 
  graph export $a98, replace
*
* D6 t-1
reg d5`y'5_sa L5.d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5_sa p1 L5.d5d6c5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) ///
 xtitle("Chg in D6 RIN Price, Prior Week") ytitle("Chg in Spread") ///
 title("`yf' v. Prior Week D6 RIN Price") subtitle("Weekly Changes (SA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays.")
  global a98 "`lfp'`y'`m'_LDD6_sa_scatter_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* PRIN t-1
reg d5`y'5_sa L5.d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy')
 cap drop p1 
 predict p1
twoway scatter d5`y'5_sa p1 L5.d5`y't5 L5.d5`y't5 if (date>=td($t0))*(date<=td($tn))*(weekday==`wkdy'), c(i l l) m(O i i) lc(green orange black) ///
 xtitle("RIN-predicted chg in spread, Prior Week") ytitle("Chg in Spread") ///
 title("`yf' v. Prior Week RIN-predicted") subtitle("Weekly Changes (SA), $t0 to $tn") legend(off) ///
 note("Weeks end on Tuesdays; 45 degree line (black) and regression line (orange).")
  global a98 "`lfp'`y'`m'_`y't_sa_scatter_wkly_$tsfx.emf" 
  graph export $a98, replace
*
* ------------- Rolling regression ------------------
*
tsset time
preserve
 keep if (date>=td($t0))*(date<=td($tn))
* list time date
 rolling _b _se, window(130) stepsize(5) clear: reg d5`y'5 d5d6c5 
 desc
 gen b99 = _b_d5d6c5
 gen se99 = _se_d5d6c5
 tsset end
 gen ciu = b99 + 1.96*se99
 gen cil = b99 - 1.96*se99
 tsline b99 ciu cil, yline(0, lc(black)) lc(black green green) lp(l _ _) legend(off) ///
  subtitle("Rolling regression coefficient on prior-week D6 RIN") title(`yf') note("130 day window, changes in weekly averages, +/-1.96SE band")
*  title("`yf': coeff on prior-week D6 RIN") subtitle("Rolling regression (130 trading day window), wkly changes, +/-1.96SE band")
  global a98 "`lfp'`y'_DD6_rr_$tsfx.emf" 
  graph export $a98, replace
restore
