***************************************************************
* rin_passthru_var_levels_core.do
*       JS 5/22/15, 6/21/15
*       Executes bivarate VARs for RIN project, RIN obligation ordered first
*       computes IRFs, writes results to excel
***************************************************************
set more off
local y $gy
local p = $gp
   var `y'ti `y'i if (date>=td($t0))*(date<=td($tn)), exog($exvars) lags(1/`p')
   vargranger
    mat ss = e(Sigma)
    mat list ss
	cap drop ytis
	cap drop yis
    gen ytis = `y'ti/sqrt(ss[1,1])
    gen yis = `y'i/sqrt(ss[1,1])
   var ytis yis if (date>=td($t0))*(date<=td($tn)), exog($exvars) lags(1/`p')
    irf create set1, set(vartmp1, replace) step(15) replace
    irf table oirf, std noci impulse(ytis) response(yis)
    *irf graph oirf, impulse(ytis) response(yis) level(67)
    preserve
     use vartmp1.irf, clear
	 drop if oirf==.
     gen irf3 = ((_n+1)/4==int((_n+1)/4))
     keep if irf3==1
     mkmat oirf, mat(moirf)
     mkmat stdoirf, mat(mstdoirf)
     mat list moirf
     mat list mstdoirf
     *output to excel
	 local row = srow
     local rp1 = `row'+1
     mat bb = moirf
	 mat ss = mstdoirf
     * Numerical outout
	 putexcel A`row'=("`y'") B`row'=("$t0") C`row'=("$tn") D`row'=(`p') E`row'=("$exvars") ///
         F`row'=matrix(bb') F`rp1'=matrix(ss') using $outxls, sheet("numerical") modify
	 * Text output
	 putexcel A`row'=("`y'") B`row'=("$t0") C`row'=("$tn") D`row'=(`p') E`row'=("$exvars")  using $outxls, sheet("text") modify
	 local mm = rowsof(bb)
	 forvalues i = 1/`mm' {
	  sca t99 = abs(bb[`i',1]/ss[`i',1])
	  local fb = string(bb[`i',1],"%5.3f")
	   if t99>=1.645 local fb=string(bb[`i',1],"%5.3f") + "*"
	   if t99>=1.96  local fb=string(bb[`i',1],"%5.3f") + "**"
	   if t99>=2.575 local fb=string(bb[`i',1],"%5.3f") + "***"
	  local fse = "(" + string(ss[`i',1],"%5.3f") + ")"
	  local xcol = char(69+`i')
	 putexcel `xcol'`row'=("`fb'") `xcol'`rp1'=("`fse'") using $outxls, sheet("text") modify
     }
     sca srow = srow+2
    restore
